OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures
nodelist.hpp File Reference

List of nodes used for the A-star pathfinder. More...

`#include "../../misc/array.hpp"`
`#include "../../misc/hashtable.hpp"`
`#include "../../misc/binaryheap.hpp"`

Go to the source code of this file.

## Data Structures
class | CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
| Hash table based node list multi-container class. More...

## Detailed Description

List of nodes used for the A-star pathfinder.

Definition in file nodelist.hpp.